Bug 25601 - Обновить версию
: Обновить версию
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libosgEarth)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
: 25943
:
  Show dependency tree
 
Reported: 2011-05-12 08:35 by
Modified: 2011-12-27 11:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-05-12 08:35:04
Уже доступна 2.0:

https://github.com/gwaldron/osgearth/downloads
------- Comment #1 From 2011-05-31 18:24:27 -------
2.0 не собирается с нашей libgeos версии 3. Версия из git собирается, но хочет
как минимум osg-2.9.6 из нестабильной ветки. Можно собрать и с 2.8.3, но тогда
придётся выключать draggers, а мне не хотелось бы:

http://forum.osgearth.org/Problems-building-osgearth-with-geos-from-svn-td6170976.html

Есть мнение обновить в Сизифе osg до 2.9.6. Михаил, Евгений, что думаете?
------- Comment #2 From 2011-06-01 00:05:30 -------
Я до выхода нового FlightGear (предположительно в этом году) активничать не
намерен, так что если отслеживаешь ситуацию и считаешь нужным -- делай.

2 real: а зачем и geos = 3.3.0, и geos3 = 3.3.0 одновременно?
------- Comment #3 From 2011-06-01 16:55:52 -------
ABI разные. Вообще-то адекватные апстримы должны менять soname version, но эти
не стали.
------- Comment #4 From 2011-07-23 09:48:39 -------
После появления в Сизифе osg-3.0.0 можно будет собрать с ним osgEarth из
апстримного git. Там пока всё собирается и работает.

Я в отпуске до 25.08.11. Михаил, похоже, тоже будет недоступен. Евгений, если
будет время и желание, соберите, пожалуйста. Если нет, после возвращения соберу
и osg и osgEarth.
------- Comment #5 From 2011-07-24 09:34:29 -------
Я пока ещё не в отпуске, но до работы над сизифом добираюсь редко. К тому же
эту штуку я почти не использую :)
------- Comment #6 From 2011-12-27 11:17:15 -------
2.1 уже месяц в Сизифе, спасибо iv@. Закрываем?